<chapter name="SUSY Processes"> 
 
<h2>SUSY</h2> 
<p> 
Here is collected processes involving supersymmetric particle 
production, with the exception of the (extended) Higgs sector. 
Since the number of separate but closely related processes is so big, 
there will not be switches for each separate process but only for a 
reasonable set of subgroups. However, the general switches 
<code>SUSY:idA</code> and <code>SUSY:idB</code>,valternatively 
vectors <code>SUSY:idVecA</code> and <code>SUSY:idVecB</code>, 
may be used in conjunction with any of these groups to provide 
some additional flexibility to concentrate on processes involving 
only specific (s)particle final states, see below. 
</p> 
 
<p> 
Most of the SUSY implementation in PYTHIA 8 has been written by 
N. Desai and is documented in <ref>Des11</ref>. Please give due 
credit to external contributions to PYTHIA 8, such as this one, by 
including the original work in your list of references when using this 
implementation. The cross section formulae are mostly taken from 
<ref>Boz07</ref> and <ref>Fuk11</ref>. 
</p> 
 
<p>Since the implementation of SUSY processes was only recently 
completed <ref>Des11</ref>, case-by-case validations against other codes 
are still recommended. A set of default validations have 
already been carried out by the authors, comparing to 
the PYTHIA 6 SUSY implementation and to the XSUSY code, 
using an sps1a spectrum. Explicit 
validations of the non-trivial SLHA2-specific extensions have 
generally not been carried out yet, with the exception of the R-parity 
violating single-sparticle production cross sections. Please report 
the results of any user validations you may carry out to the authors. 
</p> 
 
<note>Important Note on SLHA:</note> 
In order to simulate SUSY processes it is required to read in the 
couplings and masses relevant for the scenario to be studied. This 
is done with the help of the SUSY Les Houches Accord (SLHA), including 
the SLHA2 extensions and generalizations. (Internally, the SLHA2 
conventions are used. SLHA1 spectra are automatically translated into 
SLHA2 notation during initialization.) The 
reading of a relevant SLHA file <b>must</b> be set up, as described 
on <aloc href="SUSYLesHouchesAccord">the SLHA page</aloc>. 
Attempting to generate SUSY processes without a properly initialized 
SLHA spectrum is strongly discouraged and may lead to unexpected 
results. Always check for warnings and errors reported by the SLHA 
reader during the initialization stage. 
 
<h3>SUSY Processes</h3> 
 
<note>Note 1:</note> Decays of SUSY particles are described 
separately <a href="#decays">below</a>. 
 
<note>Note 2:</note> One special possibility is that the gluino or 
some squark(s) are sufficiently long-lived to hadronize. See 
<aloc href="RHadrons">the R-hadrons page</aloc> for further details. 
 
<note>Note 3:</note> lepton- and photon-initial states are not yet available. 
Only quark/gluon-initiated <ei>2 &rarr; 2</ei> and <ei>2 &rarr; 1</ei> (RPV) 
processes have been implemented. 
 
<note>Note 4:</note> cross sections will be correctly folded with open 
branching fractions of cascade decays, but at present any difference between 
particle and antiparticle decay tables is not taken into account. This 
possibility will be included in a future update. 
 
<flag name="SUSY:all" default="off"> 
Common switch for production of supersymmetric particles, i.e. 
particles with R-parity -1. 
</flag> 
 
<modeopen name="SUSY:idA" default="0" min="0"> 
Option to limit the sum over possible outgoing states in SUSY 
<ei>2 &rarr; 2</ei> processes to ones including a specific particle 
identity code. The default corresponds to summing over all possible 
indices. A non-zero value of <code>SUSY:idA</code> selects only processes 
that contain the state corresponding to that particular particle identity 
code in the fundamental <ei>2 &rarr; 2</ei> scattering process (summed 
over particle/antiparticle). It is the user's responsibility to ensure 
that (a subset of) the processes to be simulated actually include this 
particle at the <ei>2 &rarr; 2</ei> level; thus, asking for the lightest 
neutralino (code 1000021) to be present in a squark-squark production 
process will give no match. 
</modeopen> 
 
<modeopen name="SUSY:idB" default="0" min="0"> 
As for <code>SUSY:idA</code>, but requires an additional particle 
with PDG code <code>SUSY:idB</code> to be present in the <ei>2 &rarr; 2</ei> 
process. Thus, using  <code>SUSY:idA</code> and  <code>SUSY:idB</code> 
a specific subprocess can be selected. Again only the absolute sign is 
used, i.e. the summation over particle and antiparticle is retained. 
Also the order of <code>SUSY:idA</code> and <code>SUSY:idB</code> is 
irrelevant; since both possible orderings are checked for a match 
with the two outgoing particles. (Although not recommended, should 
<code>SUSY:idA</code> be zero and <code>SUSY:idB</code> nonzero 
a match is searched for just like in the normal case with 
<code>SUSY:idA</code> nonzero and <code>SUSY:idB</code> zero.) 
</modeopen> 
 
<mvec name="SUSY:idVecA" default="0" min="0"> 
As for <code>SUSY:idA</code>, but as a vector of PDG codes. 
(Character-string input of such vectors should be as a 
comma-separated list, without any blanks.) Thus, it selects only 
processes that have a final-state particle corresponding to one 
of the identity codes in this vector. Note that, to activate this, 
<code>SUSY:idA</code> must be equal to zero; if not then the match 
to <code>SUSY:idA</code> takes precedence. 
</mvec> 
 
<mvec name="SUSY:idVecB" default="0" min="0"> 
As for <code>SUSY:idB</code>, but as a vector of PDG codes. 
(Character-string input of such vectors should be as a 
comma-separated list, without any blanks.) As above, to activate this, 
<code>SUSY:idB</code> must be equal to zero; if not then the match to 
<code>SUSY:idB</code> takes precedence. For the matching, either of 
<code>SUSY:idA</code> and <code>SUSY:idVecA</code> may be combined with 
either of <code>SUSY:idB</code> and <code>SUSY:idVecB</code>. 
As above one of the two outgoing SUSY particles must match one of the 
particles in <code>SUSY:id(Vec)A</code> and the other one of the 
particles in <code>SUSY:id(Vec)B</code> when both are nonzero. 
</mvec> 
 
<modepick name="SUSY:sin2thetaWMode" default="2" min="1" max="3"> 
The value of <ei>sin2(thetaW)</ei> should be taken from 
<option value="1">SM value, defined at <ei>M_Z</ei>, taken from 
PYTHIA's <code>StandardModel:sin2thetaW</code> parameter.</option> 
<option value="2">SUSY value, defined at <ei>M_SUSY</ei>, derived from the 
running gauge couplings in <code>BLOCK GAUGE</code> in the SLHA 
file. Note: if no such block is present in the input file, this option 
will default back to option 1 above, i.e., the SM value.</option> 
<option value="3">Pole value, defined by <ei>1 - M_W^2/M_Z^2</ei>, 
using the pole masses stored in the SLHA <code>BLOCK MASS</code>, or, 
alternatively, PYTHIA's internal pole masses if no such block is 
present.</option> 
</modepick> 
 
<h4>Gluino Pair Production</h4> 
 
<flag name="SUSY:gg2gluinogluino" default="off"> 
Pair production of gluinos by gluon-gluon initial states. 
</flag> 
 
<flag name="SUSY:qqbar2gluinogluino" default="off"> 
Pair production of gluinos by quark-antiquark annihilation and 
<ei>t</ei>-channel squark exchange.  The cross section 
expression follows <ref>Fuk11</ref> and include the possibility 
of non-minimal flavour violation through misalignment of quarks with 
squarks. Only the MFV case has been explicitly validated. 
</flag> 
 
<h4>Associated Squark-Gluino Production</h4> 
 
<flag name="SUSY:qg2squarkgluino" default="off"> 
Associated production of a squark with a gluino. The cross section 
expression follows <ref>Fuk11</ref> and include the possibility 
of non-minimal flavour violation through misalignment of quarks with 
squarks. Only the MFV case has been explicitly validated. 
</flag> 
 
<h4>Squark Pair Production</h4> 
 
<flag name="SUSY:gg2squarkantisquark" default="off"> 
Pair production of a scalar quark together with a scalar antiquark by 
gluon annihilation via <ei>s</ei>-channel gluon exchange, <ei>t</ei>- and 
<ei>u</ei>-channel squark exchange, and the direct 4-point coupling. 
The cross section expression follows <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
</flag> 
 
<flag name="SUSY:qqbar2squarkantisquark" default="off"> 
Pair production of a scalar quark together with a scalar antiquark 
by quark-antiquark annihilation. 
For same-isospin <ei>~q~q*</ei> production (i.e., <ei>~u~u*</ei>, 
<ei>~u~c*</ei>, ...), the <ei>s</ei>-channel gluon, photon, and 
<ei>Z</ei> and <ei>t</ei>-channel gluino contributions have so far 
been implemented (i.e., the <ei>t</ei>-channel neutralino contributions 
are neglected). For opposite-isospin <ei>~q~q*</ei> production 
(<ei>~u~d*</ei>, <ei>~u~s*</ei>, ...), the <ei>s</ei>-channel <ei>W</ei> 
and <ei>t</ei>-channel gluino contributions have been implemented 
(i.e., the <ei>t</ei>-channel neutralino contributions are neglected). 
The cross section expressions follow <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
(Note to PYTHIA 6 users: 
in older PYTHIA 6 versions, a bug caused the <ei>~t1~t2*</ei> cross to be 
overcounted by a factor of 2. Starting from version 6.4.24, that 
generator now agrees with the implementation here.) 
</flag> 
 
<flag name="SUSY:qqbar2squarkantisquark:onlyQCD" default="off"> 
When switched <code>on</code> this flag switches off all but the 
<ei>s</ei>-channel gluon contribution in the 
calculation of same-isospin squark-antisquark production cross 
sections. Intended for reference only. For the most 
accurate physics simulation, leave this flag in the <code>off</code> 
position. 
</flag> 
 
<flag name="SUSY:qq2squarksquark" default="off"> 
Pair production of scalar quarks (squark-squark and its charge 
conjugate process; for squark-antisquark production see above) 
by <ei>t</ei>- and <ei>u</ei>-channel gluino, neutralino, and 
chargino exchange. The cross section expressions follow <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
(Note to PYTHIA 6 users: PYTHIA 6 only included the gluino exchange 
contribution, which typically dominates due to the size of the strong 
coupling; for counterchecks, 
the flag <code>SUSY:qq2squarksquark:onlyQCD</code> 
below can be switched on to eliminate the chargino and neutralino 
contributions.) 
</flag> 
 
<flag name="SUSY:qq2squarksquark:onlyQCD" default="off"> 
When switched <code>on</code> this flag causes the <ei>t</ei>- or 
<ei>u</ei>-channel neutralino and chargino contributions to be 
ignored in the calculation of squark pair production cross sections. 
Intended for reference only. For the most accurate physics simulation, 
leave this flag in the <code>off</code> position. 
</flag> 
 
<h4>Neutralino and Chargino Pair Production</h4> 
 
<flag name="SUSY:qqbar2chi0chi0" default="off"> 
Pair production of neutralinos by quark-antiquark annihilation. With 
four neutralino species this gives ten separate processes, codes 
1201 - 1210. The cross section expressions follow <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
</flag> 
 
<flag name="SUSY:qqbar2chi+-chi0" default="off"> 
Associated chargino-neutralino production by quark-antiquark 
annihilation. With four neutralino species, two chargino ones, and 
maintaining charge conjugate processes separate, this gives 16 
separate processes, codes 1221 - 1236. The cross section expressions 
follow <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
</flag> 
 
<flag name="SUSY:qqbar2chi+chi-" default="off"> 
Pair production of charginos by quark-antiquark annihilation. With 
two chargino species and maintaining mutually charge conjugate 
processes separate, this gives four separate processes, codes 
1241 - 1244. The cross section expressions follow <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
</flag> 
 
<h4>Associated Neutralino/Chargino + Squark/Gluino Production</h4> 
 
<flag name="SUSY:qg2chi0squark" default="off"> 
Pair production of neutralinos from quark-gluon initial states. 
The cross section expressions follow <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
</flag> 
 
<flag name="SUSY:qg2chi+-squark" default="off"> 
Associated chargino-squark production from quark-gluon initial states. 
annihilation. The cross section expressions 
follow <ref>Boz07</ref>. 
Only the MFV case has been explicitly validated. 
</flag> 
 
<flag name="SUSY:qqbar2chi0gluino" default="off"> 
Associated neutralino-gluino production by quark-antiquark 
annihilation. 
The cross section expressions follow 
<ref>Fuk11</ref>. Only the MFV case has been explicitly validated. 
</flag> 
 
<flag name="SUSY:qqbar2chi+-gluino" default="off"> 
Associated chargino-gluino production by quark-antiquark 
annihilation. The cross section expressions follow 
<ref>Fuk11</ref>. Only the MFV case has been explicitly 
validated. (Note to PYTHIA 6 users: small differences between 
this implementation and PYTHIA 6 arise due 
to slightly different treatments of the weak mixing angle, 
which is fixed in PYTHIA 6, while it is computed from the SLHA input 
in PYTHIA 8; see <code>SUSY:sin2thetaWMode</code> above.) 
</flag> 
 
<h4>Slepton Production</h4> 
<flag name="SUSY:qqbar2sleptonantislepton" default="off"> 
Pair production of slepton-antislepton via s-channel W, Z and gamma 
exchange.  Includes both charged sleptons and sneutrinos but right 
handed sneutrinos currently not supported. 
</flag> 
 
 
<h4>R-parity violating squark production</h4> 
 
<flag name="SUSY:qq2antisquark" default="off"> 
Resonant squark production via R-parity violating UDD couplings. The 
couplings must be input using the SLHA2 structure. 
</flag> 
 
<a name="decays"></a> 
<h3>Decays of SUSY Particles</h3> 
 
Based on the parameters read in from the SLHA, PYTHIA 8 will normally 
compute the decay modes of SUSY particles automatically, using the 
<code>SusyResonanceDecays</code> class(es). Essentially all tree-level 
2-body decays in the MSSM 
have been implemented this way, excepting so far only those involving 
Higgs bosons (either in the in- or out-state) or gravitinos. 
Available channels so far include: 
<ul> 
<li>~q &rarr; q + ~chi</li> 
<li>~q &rarr; ~q + W/Z</li> 
<li>~q &rarr; q + q (RPV UDD)</li> 
<li>~q &rarr; l + q (RPV LQD)</li> 
<li>~g &rarr; ~q + q</li> 
<li>~chi &rarr; ~chi + Z/W</li> 
<li>~chi &rarr; ~q + q</li> 
<li>~chi &rarr; ~l/~nu + l/nu</li> 
<li>~chi0 &rarr; q + q + q (RPV UDD)</li> 
<li>~l/~nu &rarr; l/nu + ~chi</li> 
<li>~l/~nu &rarr; ~l/~nu + W/Z</li> 
</ul> 
All channels are still undergoing validation, so this 
implementation should be considered preliminary. 
Still missing but to be included in a forthcoming update 
are: 3-body decays of charginos (via RPV), and 2-body decays of squarks and 
gauginos with Higgs as one of the decay products. 
 
Some 3-body decays have been implemented with Matrix Element weighting. 
In particular, those for a neutralino to a lighter neutralino and a 
fermion pair can be enabled. 
 
<flag name="SUSYResonance:3BodyMatrixElement" default="off"> 
When "on", the spin-averaged, squared matrix element is used 
to sample the phase space for resonance decay.  Currently, only 
possible for a heavy neutralino decay to a light neutralino 
and a fermion-antifermion pair. 
</flag> 
 
 
</chapter> 
 
<!-- Copyright (C) 2014 Torbjorn Sjostrand --> 
 
